기술 자료

​
​

Development

User Acquisition

Monetization

산업 분야

Vivox Moderation APIs API

v1

지원 가능
​

Vivox Moderation APIs API

v1

지원 가능
​

이 페이지는 선택한 언어로 제공되지 않습니다.
Unity Services Web APIs
​
​
Vivox Moderation API
  • Overview
mdx:openapi:endpoints
  • Vivox Channel Kick
  • Vivox Channel Kick All
  • Vivox Channel Mute
  • Vivox Channel Mute All
  • Vivox Channel Unmute
  • Vivox Channel Unmute All
  • Vivox Server Kick

Vivox Moderation API

Overview

The Vivox Moderation API allows users to moderate Vivox Voice and Text channels in real-time.
For more information about Vivox Voice and Text Services, refer to our documentation.
Request access to these APIs from a Vivox technical account manager or by submitting a request to Vivox Support.
Download OpenAPI specification:

Kick a user from all channels


Provide a Vivox user uri to kick the game user from all Vivox channels.
Authorizations
ServiceAccount (Vivox Moderator)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: Vivox Moderator

Path parameters for "{title}"

organizationId

string
필수
ID of the organization

projectId

string
필수
ID of the project

Request body for "{title}"

Media Type:
application/json

user_uri

string
The URI of the user to kick

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "user_uri": "string"}' \ "https://services.api.unity.com/vivox/v1/organizations/{organizationId}/projects/{projectId}/server-kick"

Response example

{ "title": "Bad Request", "detail": "Invalid target URI", "status": 400, "details": [ "string", "string" ]}

Kick a user from a channel


Kick a user from a single channel by providing the channel URI and the user URI.
Authorizations
ServiceAccount (Vivox Moderator)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: Vivox Moderator

Path parameters for "{title}"

organizationId

string
필수
ID of the organization

projectId

string
필수
ID of the project

Request body for "{title}"

Media Type:
application/json

user_uri

string
The URI of the user to kick

chan_uri

string
The URI of the channel to moderate

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "user_uri": "string", "chan_uri": "string"}' \ "https://services.api.unity.com/vivox/v1/organizations/{organizationId}/projects/{projectId}/kick"

Response example

{ "title": "Bad Request", "detail": "Invalid target URI", "status": 400, "details": [ "string", "string" ]}

Kick all users from a channel


Kick all users from a channel by providing the channel URI.
Authorizations
ServiceAccount (Vivox Moderator)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: Vivox Moderator

Path parameters for "{title}"

organizationId

string
필수
ID of the organization

projectId

string
필수
ID of the project

Request body for "{title}"

Media Type:
application/json

chan_uri

string
The URI of the channel to moderate

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "chan_uri": "string"}' \ "https://services.api.unity.com/vivox/v1/organizations/{organizationId}/projects/{projectId}/kick-all"

Response example

{ "title": "Bad Request", "detail": "Invalid target URI", "status": 400, "details": [ "string", "string" ]}

Mute a user in a channel


Mute a user in a channel by providing the channel URI and the user URI.
Authorizations
ServiceAccount (Vivox Moderator)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: Vivox Moderator

Path parameters for "{title}"

organizationId

string
필수
ID of the organization

projectId

string
필수
ID of the project

Request body for "{title}"

Media Type:
application/json

user_uri

string
The URI of the user to kick

chan_uri

string
The URI of the channel to moderate

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "user_uri": "string", "chan_uri": "string"}' \ "https://services.api.unity.com/vivox/v1/organizations/{organizationId}/projects/{projectId}/mute"

Response example

{ "title": "Bad Request", "detail": "Invalid target URI", "status": 400, "details": [ "string", "string" ]}

Unmute a user in a channel


Unmute a user in a channel by providing the channel URI and the user URI.
Authorizations
ServiceAccount (Vivox Moderator)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: Vivox Moderator

Path parameters for "{title}"

organizationId

string
필수
ID of the organization

projectId

string
필수
ID of the project

Request body for "{title}"

Media Type:
application/json

user_uri

string
The URI of the user to kick

chan_uri

string
The URI of the channel to moderate

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "user_uri": "string", "chan_uri": "string"}' \ "https://services.api.unity.com/vivox/v1/organizations/{organizationId}/projects/{projectId}/unmute"

Response example

{ "title": "Bad Request", "detail": "Invalid target URI", "status": 400, "details": [ "string", "string" ]}

Mute all users in a channel


Mute all users in a channel by providing the channel URI.
Authorizations
ServiceAccount (Vivox Moderator)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: Vivox Moderator

Path parameters for "{title}"

organizationId

string
필수
ID of the organization

projectId

string
필수
ID of the project

Request body for "{title}"

Media Type:
application/json

chan_uri

string
The URI of the channel to moderate

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "chan_uri": "string"}' \ "https://services.api.unity.com/vivox/v1/organizations/{organizationId}/projects/{projectId}/mute-all"

Response example

{ "title": "Bad Request", "detail": "Invalid target URI", "status": 400, "details": [ "string", "string" ]}

Unmute all users in a channel


Unmute all users in a channel by providing the channel URI.
Authorizations
ServiceAccount (Vivox Moderator)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: Vivox Moderator

Path parameters for "{title}"

organizationId

string
필수
ID of the organization

projectId

string
필수
ID of the project

Request body for "{title}"

Media Type:
application/json

chan_uri

string
The URI of the channel to moderate

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "chan_uri": "string"}' \ "https://services.api.unity.com/vivox/v1/organizations/{organizationId}/projects/{projectId}/unmute-all"

Response example

{ "title": "Bad Request", "detail": "Invalid target URI", "status": 400, "details": [ "string", "string" ]}

Copyright © 2026 Unity Technologies
법률 정보개인정보 처리방침쿠키Documentation Terms of Use개인 정보 판매 또는 공유 금지개인정보 보호 선택(쿠키 설정)

'Unity', Unity 로고 및 기타 Unity 상표는 미국 및 기타 지역 내 Unity Technologies 또는 그 계열사의 상표 또는 등록상표입니다(자세한 내용은 여기에서 확인하세요). 기타 명칭 또는 브랜드는 해당 소유자의 상표입니다.

일부 페이지는 편의를 위해 기계 번역되었으며 부정확한 내용이 있을 수 있습니다. 정보가 상충되는 경우, 영어 버전을 우선으로 참조하세요.